<!--post.asp##多功能编辑器-->
<script language="javascript" src="images/emot/config.js"></script>
<script language="javascript" src="hst_edit/main.js"></script>
<script language="javascript" src="js/hst_savepost.js"></script>
<span><textarea id="body" name="body" style="display:none;width:100%;height:330px;margin:0;padding:0;border:none;">{$content}</textarea></span>
<div style="margin:0;"><script>
var hsttextarea=null;
//var Hst_Mode=parseInt('{$Hst_Mode}');
var Hst_Mode=3;
var edit_mode_,toolbar_;
var plus_cc="";
if(3==Hst_Mode){Hst_Mode=1;}
switch(Hst_Mode){
	case 1:edit_mode_='design';toolbar_=['<div style="float:left;padding-top:5px;position:relative;color:red" onclick="specialform(this)">[插入特殊内容]</div>'];break;
	case 2:edit_mode_='design';toolbar_=['bold','italic','underline','fontsize','justifycenter','separator','emot','link','image','media','separator','<div style="float:left;padding-top:5px;position:relative;color:red" onclick="specialform(this)">[插入特殊内容]</div>'];break;
	default:edit_mode_='text';
}
var hsteditconfig={
	textarea_id:'body',
	edit_height:'302px',
	edit_width:'98%',
	edit_mode:edit_mode_,
	toolbar:toolbar_,
	use_ubb:2==Hst_Mode,
	is_show_status:Hst_Mode>0
};
function hstloadarea(){
	if ('function'==typeof HstEdit){
		hsttextarea=new HstEdit(hsteditconfig);
	}else{setTimeout('hstloadarea()',0)}
}
hstloadarea();
var hst_signal_click=null;
function hst_Signal_Do(token,param,value){
	var s='';
	if (param)
	{
		s='['+token+'='+param+']'+value+'[\/'+token+']';
	}else{
		s = "["+token+']'+value+'[\/'+token+']';
	}
	hsttextarea.insert(s);
}
function hst_Signal(token,param_title,value_title){
	var pn='',s='';
	if(param_title){s+='<div style="width:200px;">'+param_title+'<br/><input type="text" name="hst_signal_param" style="width:200px;" id="hst_signal_param" /></div>'}
	if(value_title){s+='<div style="width:200px;height:100px;">'+value_title+'<br/><textarea name="hst_signal_value" id="hst_signal_value" style="width:200px;height:100px;"></textarea></div>'};
	s+='<div><input type="button" value=" 插入 " onclick="hst_Signal_Do(\''+token+'\',gid(\'hst_signal_param\')?gid(\'hst_signal_param\').value:null,document.getElementById(\'hst_signal_value\').value)"></div>';
	hsttextarea.t.close();
	hsttextarea.t.open(hst_signal_click,s);
}
function specialform(o){
	hst_signal_click=o;
	specialformcontent='<div style="width:150px">'+specialformcontent+'</div>'
	hsttextarea.t.open(o,specialformcontent);
}
</script></div>